Summary:	A configuration storage system for Xfce
Summary(de):	Das Speichersystem für Konfigurationen von Xfce 
Name:		xfconf
Version:	4.12.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk-doc
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	perl(Glib)
BuildRequires:	perl-devel
BuildRequires:	docbook-dtd412-xml
Requires:	dbus-x11
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.4.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
Xfconf is a hierarchical (tree-like) configuration
system for the Xfce graphical desktop environment.

%description -l de
Xfconf ist ein hierarchisches (baumähnliches) Konfigurations-
system für die grafische Xfce-Desktopumgebung.

%package devel
Summary:	Development files for xfconf
Summary(de):	Entwicklungerdateien für %{name}
Group:		Graphical desktop/Xfce
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description devel
Development files and headers for xfconf.

%description devel -l de
Entwicklerdateien und Header für %{name}

%package -n perl-%{name}
Summary:	Perl bindings for %{name}
Summary(de):	Perlbindungen für %{name}
Group:		Graphical desktop/Xfce
Requires:	%{name} = %{version}-%{release}

%description -n perl-%{name}
Perl bindings for %{name}.

%description -n perl-%{name} -l de
Perlbindungen für %{name}

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Books/Computer books
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q

%build

./autogen.sh --prefix=/usr --disable-static \
	--enable-checks \
	--enable-gtk-doc \
	--enable-perl-bindings \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}
%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std INSTALLSITEMAN3DIR=%{_mandir}/man3

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

# dummy
mkdir -p %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%{_bindir}/xfconf-query
%{_datadir}/dbus-1/services/org.xfce.Xfconf.service
%{_datadir}/gtk-doc/html/xfconf
%{_libdir}/*xfconf-*.so.*
%{_datadir}/locale
%{_libdir}/xfce4/xfconf/xfconfd

%files devel
%defattr(-,root,root)
%{_includedir}/xfce4/xfconf-0
%{_libdir}/libxfconf-0.so
%{_libdir}/pkgconfig/libxfconf-0.pc

%files -n perl-%{name}
%defattr(-,root,root)
%dir %{perl_sitearch}/Xfce4
%dir %{perl_sitearch}/Xfce4/Xfconf
%dir %{perl_sitearch}/Xfce4/Xfconf/Install
%dir %{perl_sitearch}/auto/Xfce4/Xfconf
%{perl_sitearch}/Xfce4/*.pm
%{perl_sitearch}/Xfce4/Xfconf/Install/*
%{perl_sitearch}/auto/Xfce4/Xfconf/*.so
%{_mandir}/man3/*.bz2


%files doc
%defattr(-,root,root)
%doc AUTHORS NEWS README


%changelog
* Thu Feb 09 2017 adrianomorselli <adrianomorselli> 4.12.1-1uplos2017
- rebuild

* Mon Dec 26 2016 ghostbunny <ghostbunny at gmx dot de> 4.12.1-1pclos2017
- 4.12.1

* Sat Feb 25 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.0-1pclos2015
- 4.12.0

* Wed Oct 24 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-3pclos2012
- process

* Mon Oct 22 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-3pclos2012
- reenabled perl bindings should work now after a the perl rebuild

* Thu Sep 20 2012 Neal <nealbrks0 at gmail.com> 4.10.0-2pclos2012
- process

* Wed Sep 19 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-2pclos2012
- disabled perl bindings and related package for 64bit
- removed %{_lib} macro for libstdc++6

* Tue Aug 29 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-1pclos2012
- 4.10.0
- added german summaries and descriptions
- fixed English summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")
- added more doc files
- removed %{_lib} macro the libxfce4utils isn't configured for producing lib64 packages

* Tue Jan 17 2012 Neal <nealbrks0 at gmail.com> 4.8.1-1pclos2012
- corrected buildrequires entries - perl(ExtUtils::Depends) to perl-ExtUtils-Depends and perl(ExtUtils::PkgConfig) to perl-ExtUtils-PkgConfig

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 4.8.1-1pclos2012
- update
